* Test program for ALLPOS and CHKPOS

      Program Test
      Real X(5) / 1.5, 2.0, -1.0, 3.1, 4.2 /

      Logical Answer, Result, ALLPOS


      Answer = ALLPOS( X, 5 )

      If( Answer ) then
         Print *, 'Array X is all positive.'
      Else
           Print *, 'Array X is not all positive.'
      End If


      Call CHKPOS( X, 5, Result )


* ... etc.


      End
